#!/bin/bash

# New PVR add-ons repository for Kodi: https://github.com/kodi-pvr

tag_name=Helix_rc3

set -x

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
date=$(date +%Y%m%d)
package=kodi-pvr-addons
branch=Jarvis
name=kodi-pvr-addons

pushd ${tmp}
mkdir -p ${name}/
git clone --depth 1 https://github.com/kodi-pvr/pvr.vbox.git kodi-pvr-addons/pvr.vbox
git clone --depth 1 https://github.com/kodi-pvr/pvr.filmon.git kodi-pvr-addons/pvr.filmon
git clone --depth 1 https://github.com/kodi-pvr/pvr.dvblink.git kodi-pvr-addons/pvr.dvblink
git clone --depth 1 https://github.com/kodi-pvr/pvr.demo.git kodi-pvr-addons/pvr.demo
git clone --depth 1 https://github.com/kodi-pvr/pvr.argustv.git kodi-pvr-addons/pvr.argustv
git clone --depth 1 https://github.com/kodi-pvr/pvr.dvbviewer.git kodi-pvr-addons/pvr.dvbviewer
git clone --depth 1 https://github.com/kodi-pvr/pvr.mediaportal.tvserver.git kodi-pvr-addons/pvr.mediaportal
git clone --depth 1 https://github.com/kodi-pvr/pvr.iptvsimple.git kodi-pvr-addons/pvr.iptvsimple
git clone --depth 1 https://github.com/kodi-pvr/pvr.vuplus.git kodi-pvr-addons/pvr.vuplus
git clone --depth 1 https://github.com/kodi-pvr/pvr.stalker.git kodi-pvr-addons/pvr.stalker
git clone --depth 1 https://github.com/kodi-pvr/pvr.pctv.git kodi-pvr-addons/pvr.pctv
git clone --depth 1 https://github.com/kodi-pvr/pvr.njoy.git kodi-pvr-addons/pvr.njoy
git clone --depth 1 https://github.com/kodi-pvr/pvr.nextpvr.git kodi-pvr-addons/pvr.nextpvr
git clone --depth 1 https://github.com/kodi-pvr/pvr.mythtv.git kodi-pvr-addons/pvr.mythtv
git clone --depth 1 https://github.com/kodi-pvr/pvr.vdr.vnsi.git kodi-pvr-addons/pvr.vdr.vnsi
git clone --depth 1 https://github.com/kodi-pvr/pvr.hts.git kodi-pvr-addons/pvr.hts
git clone --depth 1 https://github.com/kodi-pvr/pvr.wmc.git kodi-pvr-addons/pvr.wmc
cd ${package}
git checkout ${branch}
tag=$(git rev-list HEAD -n 1 | cut -c 1-7)
version=`git describe --tags | cut -d '-' -f 1`
version=16.0
git submodule update --init
cd ${tmp}
tar Jcf "$pwd"/${name}-${version}-${date}.tar.xz ${package}

