#globals for kodi-pvr-addons-15.0-20150521.tar.xz
%global gitdate 20160222

Name:           kodi-pvr-addons
Version:        16.0
Release:    	%mkrel 1
Summary:        Kodi PVR add-ons

Group:      Video
License:    GPLv3 and GPLv2+ and LGPLv2+ and MIT
URL:        https://github.com/kodi-pvr
Source0:    %{name}-%{version}-%{gitdate}.tar.xz
Source1:	%{name}-snapshot.sh
Source2:	kodi-pvr-addons

BuildRequires:	cmake
BuildRequires:  kodi-devel
BuildRequires:  zlib-devel
BuildRequires:	git
BuildRequires:	%{_lib}kodi-platform-devel
BuildRequires:	%{_lib}jsoncpp-devel 
BuildRequires:  %{_lib}tinyxml2-devel
BuildRequires:  %{_lib}tinyxml-devel
BuildRequires:  %{_lib}mysql-devel
BuildRequires:  %{_lib}curl-devel
BuildRequires:  %{_lib}cppmyth-devel
BuildRequires:  %{_lib}cryptopp6-devel
BuildRequires:  %{_lib}rapidxml-devel
#-------------------------------------
Provides:       xbmc-pvr-addons-common = %{version}-%{release}
Provides:	kodi-pvr-addons-common = %{version}-%{release}
Provides:    	xbmc-pvr-addons = %{version}
Obsoletes:      xbmc-pvr-addons-common < 14.0
Obsoletes: 	xbmc-pvr-addons <= %{version}
#-------------------------------------
Requires:       kodi  >= 15
Requires:	kodi-pvr-argustv 
Requires:	kodi-pvr-demo 
Requires:	kodi-pvr-dvblink 
Requires:	kodi-pvr-dvbviewer 
Requires:	kodi-pvr-hts 
Requires:	kodi-pvr-iptvsimple 
Requires:	kodi-pvr-mediaportal-tvserver 
Requires:	kodi-pvr-mythtv 
Requires:	kodi-pvr-nextpvr 
Requires:	kodi-pvr-njoy 
Requires:	kodi-pvr-vdr-vnsi 
Requires:	kodi-pvr-vuplus 
Requires:	kodi-pvr-wmc 
Requires:	kodi-pvr-filmon 
Requires:	kodi-pvr-pctv 
Requires:	kodi-pvr-stalker 
Requires:	kodi-pvr-vbox


%description    
This package install all Kodi PVR addons.

#----------

%package -n     kodi-pvr-argustv
Summary:        Kodi frontend for the ARGUS TV PVR
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-argustv = %{version}-%{release}


%description -n kodi-pvr-argustv
ARGUS TV PVR frontend for Kodi. Supports streaming of Live TV & recordings,
listening to radio channels, EPG and schedules.

#----------

%package -n     kodi-pvr-demo
Summary:        Demo PVR Client for Kodi
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-demo = %{version}-%{release}

%description -n kodi-pvr-demo
%{summary}.

#----------

%package -n     kodi-pvr-dvblink
Summary:        Kodi PVR Plugin for DVBLink
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-dvblink = %{version}-%{release}

%description -n kodi-pvr-dvblink
PVR Plugin for DVBLink from DvbLogic.com for Kodi; supporting streaming of Live
TV & recordings, EPG, timers.

#----------

%package -n     kodi-pvr-dvbviewer
Summary:        Kodi's frontend for DVBViewer
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-dvbviewer = %{version}-%{release}

%description -n kodi-pvr-dvbviewer
DVBViewer Recording Service frontend; supporting streaming of LiveTV, timers,
recordings & EPG.

#----------

%package -n     kodi-pvr-hts
Summary:        Kodi's frontend for Tvheadend
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-hts = %{version}-%{release}

%description -n kodi-pvr-hts
Tvheadend frontend; supporting streaming of Live TV & recordings, EPG, timers.

#----------

%package -n     kodi-pvr-iptvsimple
Summary:        Kodi PVR addon for IPTV support
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-iptvsimple = %{version}-%{release}

%description -n kodi-pvr-iptvsimple
IPTV Simple PVR Client support m3u playlists, streaming of Live TV for
multicast/unicast sources, listening to radio channels and EPG.

#----------

%package -n     kodi-pvr-mediaportal-tvserver
Summary:        Kodi frontend for the MediaPortal TV Server (ffmpeg + tsreader version)
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-mediaportal-tvserver = %{version}-%{release}

%description -n kodi-pvr-mediaportal-tvserver
MediaPortal TV Server frontend for Kodi. Supports streaming of Live TV &
recordings, listening to radio channels, EPG and timers. This addon combines the
former ffmpeg and tsreader addons.

#----------

%package -n     kodi-pvr-mythtv
Summary:        Kodi frontend for MythTV (using libcmyth)
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-mythtv-cmyth = %{version}-%{release}

%description -n kodi-pvr-mythtv
MythTV frontend (up to MythTV 0.27). Supports streaming of Live TV & recordings,
listening to radio channels, EPG and timers.

#----------

%package -n     kodi-pvr-nextpvr
Summary:        Kodi frontend for the NextPVR
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-nextpvr = %{version}-%{release}

%description -n kodi-pvr-nextpvr
NextPVR frontend for Kodi. Supports streaming of Live TV & recordings, listening
to radio channels and EPG.

#----------

%package -n     kodi-pvr-njoy
Summary:        Njoy N7 PVR Client for Kodi
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-njoy = %{version}-%{release}

%description -n kodi-pvr-njoy
Njoy N7 PVR Client for Kodi.

#----------

%package -n     kodi-pvr-vdr-vnsi
Summary:        PVR client to connect VDR to Kodi over the VNSI interface
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-vdr-vnsi = %{version}-%{release}

%description -n kodi-pvr-vdr-vnsi
VDR frontend for KODI; supporting streaming of Live TV & recordings, EPG, timers
over the VNSI plugin.

NOTE: this package requires the VNSI plugin (package vdr-vnsiserver on Fedora)
to be installed on the VDR backend.

#----------

%package -n     kodi-pvr-vuplus
Summary:        Kodi's frontend for VU+ / Enigma2 based settop boxes
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-vuplus = %{version}-%{release}

%description -n kodi-pvr-vuplus
VU+ frontend; supporting streaming of Live TV & recordings, EPG, timers.

#----------

%package -n     kodi-pvr-wmc
Summary:        Windows Media Center client for Kodi
Group:          Video
Requires:       kodi  >= 16
Provides:       xbmc-pvr-wmc = %{version}-%{release}

%description -n kodi-pvr-wmc
An Kodi client to interface to Windows Media Center's record and EPG service.

#----------

%package -n     kodi-pvr-filmon
Summary:        Kodi's Filmon client addon 
Group:          Video
Requires:       kodi  >= 16

%description -n kodi-pvr-filmon
Kodi's Filmon client addon.

#----------

%package -n     kodi-pvr-pctv
Summary:        Kodi's PCTV client addon  
Group:          Video
Requires:       kodi  >= 16

%description -n kodi-pvr-pctv
Kodi's PCTV client addon.

#----------

%package -n     kodi-pvr-stalker
Summary:        Stalker Middleware PVR client addon for Kodi  
Group:          Video
Requires:       kodi  >= 16

%description -n kodi-pvr-stalker
A PVR Client that connects Kodi to Stalker Middleware.

#----------
%package -n     kodi-pvr-vbox
Summary:        Kodi's PCTV client addon  
Group:          Video
Requires:       kodi  >= 16

%description -n kodi-pvr-vbox
Kodi PVR addon for interfacing with the VBox Communications XTi TV Gateway devices.



%prep
%setup -n kodi-pvr-addons 


%build
ls -d */ | sed 's:/::g' | tee addons.txt

file=addons.txt
while IFS= read -r line; do
        # display $line or do something with $line
	mkdir -p $line/build 
pushd %{_builddir}/kodi-pvr-addons/$line/build
cmake .. -DADDONS_TO_BUILD=$line -DADDONS_SRC_DIR=pvr-addons
%make 
popd  
done <"$file"


%install
rm -rf %buildroot
file=addons.txt
while IFS= read -r line; do
        # display $line or do something with $line
pushd %{_builddir}/kodi-pvr-addons/$line/build
make install DESTDIR=%{buildroot}
popd  
done <"$file"


install -dm 755 %{buildroot}/%{_datadir}/licenses/
install -m644 %{SOURCE2} %{buildroot}/%{_datadir}/licenses/

%files 
%{_datadir}/licenses/%{name}


%files -n kodi-pvr-argustv
%{_libdir}/kodi/addons/pvr.argustv/
%{_datadir}/kodi/addons/pvr.argustv/


%files -n kodi-pvr-demo
%{_libdir}/kodi/addons/pvr.demo/
%{_datadir}/kodi/addons/pvr.demo/


%files -n kodi-pvr-dvblink
%{_libdir}/kodi/addons/pvr.dvblink/
%{_datadir}/kodi/addons/pvr.dvblink/


%files -n kodi-pvr-dvbviewer
%{_libdir}/kodi/addons/pvr.dvbviewer/
%{_datadir}/kodi/addons/pvr.dvbviewer/


%files -n kodi-pvr-hts
%{_libdir}/kodi/addons/pvr.hts/
%{_datadir}/kodi/addons/pvr.hts/


%files -n kodi-pvr-iptvsimple
%{_libdir}/kodi/addons/pvr.iptvsimple/
%{_datadir}/kodi/addons/pvr.iptvsimple/


%files -n kodi-pvr-mediaportal-tvserver
%{_libdir}/kodi/addons/pvr.mediaportal.tvserver/
%{_datadir}/kodi/addons/pvr.mediaportal.tvserver/


%files -n kodi-pvr-mythtv
%{_libdir}/kodi/addons/pvr.mythtv/
%{_datadir}/kodi/addons/pvr.mythtv/


%files -n kodi-pvr-nextpvr
%{_libdir}/kodi/addons/pvr.nextpvr/
%{_datadir}/kodi/addons/pvr.nextpvr/


%files -n kodi-pvr-njoy
%{_libdir}/kodi/addons/pvr.njoy/
%{_datadir}/kodi/addons/pvr.njoy/


%files -n kodi-pvr-vdr-vnsi
%{_libdir}/kodi/addons/pvr.vdr.vnsi/
%{_datadir}/kodi/addons/pvr.vdr.vnsi/


%files -n kodi-pvr-vuplus
%{_libdir}/kodi/addons/pvr.vuplus/
%{_datadir}/kodi/addons/pvr.vuplus/


%files -n kodi-pvr-wmc
%{_libdir}/kodi/addons/pvr.wmc/
%{_datadir}/kodi/addons/pvr.wmc/

%files -n kodi-pvr-filmon
%{_libdir}/kodi/addons/pvr.filmon/
%{_datadir}/kodi/addons/pvr.filmon/

%files -n kodi-pvr-pctv
%{_libdir}/kodi/addons/pvr.pctv/
%{_datadir}/kodi/addons/pvr.pctv/

%files -n kodi-pvr-stalker
%{_libdir}/kodi/addons/pvr.stalker/
%{_datadir}/kodi/addons/pvr.stalker/

%files -n kodi-pvr-vbox
%{_libdir}/kodi/addons/pvr.vbox/
%{_datadir}/kodi/addons/pvr.vbox/

%clean
rm -rf %buildroot


%changelog
* Mon Feb 22 2016 bb <bb> 16.0-20160222-1pclos2016
- try to update this package

* Sat Aug 22 2015 bb <bb> 15.0-20150822-1pclos2015
- import into pclos for kodi 15
